﻿-- 新增表： T_CAL_DOMAIN_BAL 成本域余额表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DOMAIN_BAL')
CREATE TABLE T_CAL_DOMAIN_BAL (
   FID BIGINT DEFAULT 0 NOT NULL,
   FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
   FMATERIALID BIGINT DEFAULT 0 NOT NULL,
   FPERIODID BIGINT DEFAULT 0 NOT NULL,
   FCOSTELEMENTID BIGINT DEFAULT 0 NOT NULL,
   FCOSTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
   FCOSTDOMAINKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
   FINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FINCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FOUTCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FMODIFYTIME DATETIME,
   FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
   FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
   FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
   FDIVIDEBASISID BIGINT DEFAULT 0 NOT NULL,
   FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
   FKEYCOL VARCHAR(50) DEFAULT ' ' NOT NULL
);

-- 新增表： T_CAL_DOMAIN_BAL_SP 成本域余额表快照表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DOMAIN_BAL_SP')
CREATE TABLE T_CAL_DOMAIN_BAL_SP (
   FID BIGINT DEFAULT 0 NOT NULL,
   FKEYCOL VARCHAR(50) DEFAULT ' ' NOT NULL,
   FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
   FBILLID BIGINT DEFAULT 0 NOT NULL,
   FENTRYID BIGINT DEFAULT 0 NOT NULL,
   FUPDATETIME BIGINT DEFAULT 0 NOT NULL,
   FISNEW CHAR(1) DEFAULT ' ' NOT NULL,
   FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
   FUPDATETYPE INT DEFAULT 0 NOT NULL,
   FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
   FENTRYSEQ INT DEFAULT 0 NOT NULL,
   FUPDATERULEID VARCHAR(36) DEFAULT ' ' NOT NULL,
   FINQTY_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FINCOST_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FOUTQTY_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FOUTCOST_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FDIVIDEBASISID BIGINT DEFAULT 0 NOT NULL,
   FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL
);

-- 新增表： T_CAL_DOMAIN_BAL_SP 成本域余额表快照表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_DOMAIN_BAL_TP')
CREATE TABLE T_CAL_DOMAIN_BAL_TP (
   FID BIGINT DEFAULT 0 NOT NULL,
   FKEYCOL VARCHAR(50) DEFAULT ' ' NOT NULL,
   FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
   FBILLID BIGINT DEFAULT 0 NOT NULL,
   FENTRYID BIGINT DEFAULT 0 NOT NULL,
   FUPDATETIME BIGINT DEFAULT 0 NOT NULL,
   FISNEW CHAR(1) DEFAULT ' ' NOT NULL,
   FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
   FUPDATETYPE INT DEFAULT 0 NOT NULL,
   FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
   FENTRYSEQ INT DEFAULT 0 NOT NULL,
   FUPDATERULEID VARCHAR(36) DEFAULT ' ' NOT NULL,
   FINQTY_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FINCOST_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FOUTQTY_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FOUTCOST_SP DECIMAL(23,10) DEFAULT 0 NOT NULL,
   FDIVIDEBASISID BIGINT DEFAULT 0 NOT NULL,
   FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DOMAIN_BAL_TP' AND KSQL_COL_NAME ='FREADTYPE')
ALTER TABLE T_CAL_DOMAIN_BAL_TP ADD (FREADTYPE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DOMAIN_BAL_TP' AND KSQL_COL_NAME ='FMOVETYPE')
ALTER TABLE T_CAL_DOMAIN_BAL_TP ADD (FMOVETYPE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DOMAIN_BAL_TP' AND KSQL_COL_NAME ='FCOVERFLAG')
ALTER TABLE T_CAL_DOMAIN_BAL_TP ADD (FCOVERFLAG CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_DOMAIN_BAL_TP' AND KSQL_COL_NAME ='FSYNC')
ALTER TABLE T_CAL_DOMAIN_BAL_TP ADD (FSYNC CHAR(1) DEFAULT '0' NOT NULL );
