﻿/**标准成本差异单单头 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_STDCOSTDIFF')
CREATE TABLE T_CAL_STDCOSTDIFF (
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME NULL DEFAULT NULL,
	FMODIFYTIME DATETIME NULL DEFAULT NULL,
	FCREATETIME DATETIME NULL DEFAULT NULL,
	FBIZDATE DATETIME NULL DEFAULT NULL,
	FBIZTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSRCBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
	FCREATETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
	FCSTYPEID VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCUSTSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
	FCOSTACCOUNT BIGINT DEFAULT 0 NOT NULL,
	FISVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
	FVOUCHERNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
	FVOUCHERID BIGINT DEFAULT 0 NOT NULL,
	FPERIODID BIGINT DEFAULT 0 NOT NULL,
	FFEESHAREFLAGID BIGINT DEFAULT 0 NOT NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCHECKSTRIKEACCOUNT CHAR(1) DEFAULT '0' NOT NULL,
	FADMINORGID BIGINT DEFAULT 0 NOT NULL,
	FBILLSRCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
	FLASTUPDATETIME DATETIME NULL DEFAULT NULL,
	FISCHARGEOFFED CHAR(1) DEFAULT '0' NOT NULL,
	FISCHARGEOFF CHAR(1) DEFAULT '0' NOT NULL,
	FBOOKDATE DATETIME NULL DEFAULT NULL,
	FCALSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FISUPDATECOST CHAR(1) DEFAULT '1' NOT NULL
);

/**标准成本差异单单头—多语言 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_STDCOSTDIFF_L')
CREATE TABLE T_CAL_STDCOSTDIFF_L (
	FPKID VARCHAR(36) NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
	FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);

/**标准成本差异单分录 **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_STDCOSTDIFFENTRY')
CREATE TABLE T_CAL_STDCOSTDIFFENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FMATERIALID BIGINT DEFAULT 0 NOT NULL,
	FSTORAGEORGUNITID BIGINT DEFAULT 0 NOT NULL,
	FLOT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FADJUSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FWAREHSOUSEID BIGINT DEFAULT 0 NOT NULL,
	FINVBILLTYPE BIGINT DEFAULT 0 NOT NULL,
	FINVBILLNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSRCBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
	FSRCBILLNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSRCENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
	FINVENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
	FOWNERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FOWNERID BIGINT DEFAULT 0 NOT NULL,
	FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
	FPROJECTID BIGINT DEFAULT 0 NOT NULL,
	FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
	FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
	FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
	FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
	FFEEPROJECTID BIGINT DEFAULT 0 NOT NULL,
	FINVBILLID BIGINT DEFAULT 0 NOT NULL,
	FINVBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
	FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
	FACCOUNTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCALDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
	FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
	FFEESHARETOTALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FSRCBIZENTITYOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FINVBIZENTITYOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
	FMVERSIONID BIGINT DEFAULT 0 NOT NULL,
	FQUEUETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FSIGNNUM BIGINT DEFAULT 0 NOT NULL,
	FINVAUDITDATE DATETIME NULL DEFAULT NULL,
	FINVBIZDATE DATETIME NULL DEFAULT NULL,
	FINVBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
	FTRANSTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
	FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
	FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
	FCOSTESTIMATEBILLID BIGINT DEFAULT 0 NOT NULL,
	FCOSTESTIMATEBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
	FECOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
	FCOSTDOMAINKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
	FENTRYSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FECALSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
	FDIFF_G DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_H DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_K DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_P DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_Q DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_R DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_M DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_S DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_T DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_X DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_W DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_Y DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FDIFF_C DECIMAL(23,10) DEFAULT 0 NOT NULL,
	FSUBENTRYENTITY NCLOB,
	FGROUPDIFFBILLID BIGINT DEFAULT 0 NOT NULL,
	FPRODUCTLINEID BIGINT DEFAULT 0 NOT NULL
);

/**差异余额表增加字段 **/
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_G') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_G DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_H') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_H DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_K') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_K DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_P') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_P DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_Q') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_Q DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_R') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_R DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_M') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_M DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_S') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_S DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_T') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_T DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_C') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_C DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_W') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_W DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_X') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_X DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_Y') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_Y DECIMAL(23,10) DEFAULT 0 NOT NULL);
 
 
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_G_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_G_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_H_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_H_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_K_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_K_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_P_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_P_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_Q_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_Q_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_R_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_R_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_M_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_M_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_S_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_S_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_T_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_T_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_C_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_C_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_W_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_W_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_X_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_X_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_Y_IN') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_Y_IN DECIMAL(23,10) DEFAULT 0 NOT NULL);
 
 
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_G_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_G_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_H_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_H_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_K_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_K_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_P_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_P_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_Q_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_Q_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_R_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_R_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_M_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_M_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_S_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_S_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_T_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_T_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_C_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_C_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_W_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_W_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_X_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_X_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_Y_OUT') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_Y_OUT DECIMAL(23,10) DEFAULT 0 NOT NULL);


  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_G_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_G_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_H_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_H_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_K_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_K_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_P_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_P_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_Q_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_Q_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_R_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_R_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_M_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_M_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_S_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_S_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_T_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_T_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_C_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_C_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_W_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_W_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_X_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_X_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_STANDCOST_BAL' AND KSQL_COL_NAME ='FDIFF_Y_BAL') 
 ALTER TABLE T_CAL_STANDCOST_BAL ADD (FDIFF_Y_BAL DECIMAL(23,10) DEFAULT 0 NOT NULL);