﻿--存货跌价计提单 

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICE_PROVBILL') 
 CREATE TABLE T_CAL_PRICE_PROVBILL (
FID  BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID  BIGINT DEFAULT 0 NOT NULL,
FORGID  BIGINT DEFAULT 0 NOT NULL,
FBILLNO  NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID  BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID  BIGINT DEFAULT 0 NOT NULL,
FAUDITORID   BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE  DATETIME,
FMODIFYTIME  DATETIME,
FCREATETIME  DATETIME,
FBILLSTATUS  CHAR(1) DEFAULT 'A' NOT NULL,
FPERIODID  BIGINT DEFAULT 0 NOT NULL,
FPERIOD		INT DEFAULT 0 NOT NULL,
FBIZDATE  DATETIME,
FACCSETTINGID   BIGINT DEFAULT 0 NOT NULL,
FISINITBILL   CHAR(1) DEFAULT '0' NOT NULL,
FREMARK       NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENCYID   BIGINT DEFAULT 0 NOT NULL
);

-- 多语言
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICE_PROVBILL_L') 
 CREATE TABLE T_CAL_PRICE_PROVBILL_L (
FPKID			 NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID				BIGINT DEFAULT 0 NOT NULL,
FLOCALEID		 NVARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK          NVARCHAR(255) DEFAULT ' ' NOT NULL
);

--存货跌价计提单分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICE_PROVENTRY') 
 CREATE TABLE T_CAL_PRICE_PROVENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALGROUPID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE  NVARCHAR(30) DEFAULT 'bos_org' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID   BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID  BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID  BIGINT DEFAULT 0 NOT NULL,
FASSISTID  BIGINT DEFAULT 0 NOT NULL,
FLOT  NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTID  BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID   BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID  BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID  BIGINT DEFAULT 0 NOT NULL,
FBASEQTY  DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEPRICE  DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT  DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFALLPRICESCALE   		DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITREALIZABLEAMOUNT 	DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALIZABLEAMOUNT	 	DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREQUIREAMOUNT	 		DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHASAMOUNT		 		DECIMAL(23,10) DEFAULT 0 NOT NULL,
freplenishamount		DECIMAL(23,10) DEFAULT 0 NOT NULL,
frushbaseqty			DECIMAL(23,10) DEFAULT 0 NOT NULL,
frushamount				DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDPERIOD              INT DEFAULT 999999 NOT NULL,
FINVAGEFROM       		INT DEFAULT 0 NOT NULL,
FINVAGETO         		INT DEFAULT 0 NOT NULL,
FPREENTRYID BIGINT DEFAULT 0 NOT NULL
);


-- 存货跌价冲回单  
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICE_REVBILL') 
 CREATE TABLE T_CAL_PRICE_REVBILL (
FID					BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID   BIGINT DEFAULT 0 NOT NULL,
FORGID        	BIGINT DEFAULT 0 NOT NULL,
FCREATORID        BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID      BIGINT DEFAULT 0 NOT NULL,
FAUDITORID        BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE        DATETIME,
FMODIFYTIME        DATETIME,
FCREATETIME        DATETIME,
FBILLNO        	NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS			CHAR(1) DEFAULT 'A' NOT NULL,
FPERIODID			 BIGINT DEFAULT 0 NOT NULL,
FPERIOD			    INT DEFAULT 0 NOT NULL,
FBIZDATE      	 DATETIME,
FACCSETTINGID	BIGINT DEFAULT 0 NOT NULL,
FREMARK				NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENCYID			 BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID 	 BIGINT DEFAULT 0 NOT NULL
);

-- T_CAL_PRICE_REVBILL_L  存货跌价冲回单多语言表 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICE_REVBILL_L') 
 CREATE TABLE T_CAL_PRICE_REVBILL_L (
FPKID			NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID				 BIGINT DEFAULT 0 NOT NULL,
FLOCALEID		NVARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK         NVARCHAR(255) DEFAULT ' ' NOT NULL
);

-- T_CAL_PRICEREVBILLENTRY  存货跌价冲回单分录 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAL_PRICEREVBILLENTRY') 
 CREATE TABLE T_CAL_PRICEREVBILLENTRY (
FID                     BIGINT DEFAULT 0 NOT NULL,
FENTRYID          		BIGINT DEFAULT 0 NOT NULL,
FSEQ              		INT DEFAULT 0 NOT NULL,
FMATERIALID       		BIGINT DEFAULT 0 NOT NULL,
FMATERIALGROUPID  		BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE        		NVARCHAR(30) DEFAULT 'bos_org' NOT NULL, 
FOWNERID          		BIGINT DEFAULT 0 NOT NULL,
FSTORAGEORGUNITID 		BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID      		BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID       		BIGINT DEFAULT 0 NOT NULL,
FASSISTID         		BIGINT DEFAULT 0 NOT NULL,
FLOT              		NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROJECTID        		BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID        		BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID      		BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID		  		BIGINT DEFAULT 0 NOT NULL,
FBASEQTY		  		DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEPRICE		  		DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT			  		DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITREALIZABLEAMOUNT 	DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALIZABLEAMOUNT	 	DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRUSHBASEQTY	 		DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRUSHAMOUNT	 			DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURPERIODOUTQTY	 	DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURPERIODRUSHQTY	 	DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURPERIODRUSHAMOUNT	DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSOURCEENTRYID			BIGINT DEFAULT 0 NOT NULL,
FINVAGEFROM             INT DEFAULT 0 NOT NULL,
FINVAGETO               INT DEFAULT 0 NOT NULL
);
