﻿-- 同步单据日志优化需求和多语言修复相关
-- 殷政 2020-1-7

-- 成本价分类分录多语言表增加名称字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAL_COSTPRICEENTRY_L' AND KSQL_COL_NAME ='FPRICENAME') 
 ALTER TABLE T_CAL_COSTPRICEENTRY_L ADD (FPRICENAME NVARCHAR(80) DEFAULT ' ' NOT NULL );

-- 差异分摊记录的多语言表设置主键和索引
EXEC P_ALTERPK 'PK_CAL_DIFFALLOCRC_L', 'T_CAL_DIFFALLOCRC_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_DIFFALLOCRC_L') CREATE INDEX IDX_CAL_DIFFALLOCRC_L ON T_CAL_DIFFALLOCRC_L ( FID ,FLOCALEID );

-- 差异分摊记录分录的多语言表设置主键和索引
EXEC P_ALTERPK 'PK_CAL_PRICELIBENTRY_L', 'T_CAL_PRICELIBENTRY_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_PRICELIBENTRY_L') CREATE INDEX IDX_CAL_PRICELIBENTRY_L ON T_CAL_PRICELIBENTRY_L ( FENTRYID ,FLOCALEID );

-- 服务执行日志多语言表T_CAL_SERVICELOG_L设置主键和索引
EXEC P_ALTERPK 'PK_CAL_SERVICELOG_L', 'T_CAL_SERVICELOG_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_SERVICELOG_L') CREATE INDEX IDX_CAL_SERVICELOG_L ON T_CAL_SERVICELOG_L ( FID ,FLOCALEID );

-- 核算单据同步配置多语言表T_CAL_CALBILLRULE_L设置主键和索引
EXEC P_ALTERPK 'PK_CAL_CALBILLRULE_L', 'T_CAL_CALBILLRULE_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAL_CALBILLRULE_L') CREATE INDEX IDX_CAL_CALBILLRULE_L ON T_CAL_CALBILLRULE_L ( FID ,FLOCALEID );
